deque File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | __glibcxx_want_allocator_traits_is_always_equal
#define | __glibcxx_want_erase_if
#define | __glibcxx_want_nonmember_container_access
#define | _GLIBCXX_DEQUE

## Typedefs

template<typename _Tp >
using | std::pmr::deque = std::deque< _Tp, polymorphic_allocator< _Tp > >

## Detailed Description

This is a Standard C++ Library header.

Definition in file deque.

## Macro Definition Documentation

## __glibcxx_want_allocator_traits_is_always_equal

#define __glibcxx_want_allocator_traits_is_always_equal

Definition at line 71 of file deque.

## __glibcxx_want_erase_if

#define __glibcxx_want_erase_if

Definition at line 72 of file deque.

## __glibcxx_want_nonmember_container_access

#define __glibcxx_want_nonmember_container_access

Definition at line 73 of file deque.

## _GLIBCXX_DEQUE

#define _GLIBCXX_DEQUE

Definition at line 56 of file deque.

## Typedef Documentation

## deque

template<typename _Tp >

using std::pmr::deque = typedef std::deque<_Tp, polymorphic_allocator<_Tp> >

Definition at line 88 of file deque.